Bug 79872 - Clipboard cleared on exit in Linux with gtk2 backend
Summary: Clipboard cleared on exit in Linux with gtk2 backend
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Linux (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: GTK2
  Show dependency treegraph
 
Reported: 2014-06-10 09:31 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-25 20:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-06-10 09:31:18 UTC
Well as part of the QA team, i do want to copy and paste the version from the about dialog, but its happened to me many a time that i copy it, i close LibO and i come to paste and the clipboard is empty. I tested this on Linux Mint (3.3.0, 4.2.4, 4.3 beta 2) and Ubuntu (4.2.3). This doesnt occur on Windows 7.
Comment 1 Maxim Monastirsky 2014-06-10 09:40:02 UTC

*** This bug has been marked as a duplicate of bug 48783 ***
Comment 2 Luke 2016-08-23 20:43:13 UTC
This "FIXED" bug just caused me to lose about an hour of work on a current master build on Ubuntu 16.04. Since Bug 48783 only fixed this for a subset of users, I'm using this to track the Ubuntu and gtk2 users who are still affected by this bug. 

Steps to reproduce:
1. Use an Ubuntu build or start with SAL_USE_VCLPLUGIN=gtk ./soffice
2. Select and copy some text in LibreOffice Writer.
3. Close Writer as well as any other instances of LO.
4. Paste the content in a text editor or any other application

Tested versions:
Version: 5.1.4.2 Build ID: 1:5.1.4-0ubuntu1
Version: 5.3.0.0.alpha0+ Build ID: 17fbab444b130d1bb4c1abfc3feb1cfb33f7f39f
Comment 3 Björn Michaelsen 2016-08-24 09:19:23 UTC
lp#983449 is a dupe of lp#11334, so updating the "see also".

Also this not a bug in LibreOffice. Clipboards clearing on exit is how X11 intends to work by default.

https://www.freedesktop.org/wiki/ClipboardManager/ describes how to make a desktop environment get around that.

But this is the job of the desktop environment, not of LibreOffice => RESOLVED/NOTOURBUG.
Comment 4 Luke 2016-08-25 00:58:47 UTC
Björn,

From lp#11334

> This bug will happen in any application that does **NOT** comply with the clipboard specification from FreeDesktop.[emphasis mine]
http://www.freedesktop.org/wiki/ClipboardManager


Yet, here you say "Clipboards clearing on exit is how X11 intends to work by default." In either case, it's clearly not how X11 Applications must work. From simple apps like calculator, gedit to complex gtk2 apps like Firefox, Google Chrome all work as expected. We are the only major app on lp#11334 that clears the clipboard on exit.

Why is it nearly every other Ubuntu app can workaround this bug, but we must accept it as an problem X11.
Comment 5 Björn Michaelsen 2016-08-25 08:10:04 UTC
(In reply to Luke from comment #4)
> Why is it nearly every other Ubuntu app can workaround this bug, but we must
> accept it as an problem X11.

Ubuntu switches to the gtk3 backend by default in Ubuntu 16.10 anyway.
Comment 6 Luke 2016-09-19 09:40:06 UTC
This is not an Ubuntu specific bug. I can reproduce it with the latest builds on Arch.  Unless drop the gtk2 backend, I don't see why this bug should be closed.
Comment 7 Björn Michaelsen 2016-09-19 10:08:54 UTC
Sigh, Enhancement then at least as per Comment 3.